const THREE = require('three');

// Scale of the 3D scene. e.g ki value of 1 might represent 30 pixels.
const SCALE_3D = 30;

/*
 * Function to transform the world position to view position.
 */
function scalarWorldToView(value) {
    return value * SCALE_3D;
}

/*
 * Function to transform the world position to view position.
 */
function vector3WorldToView(value) {
    return new THREE.Vector3(value.x*SCALE_3D, value.y*SCALE_3D, value.z*SCALE_3D);
}

/*
 * Function to transform the view position to world position.
 */
function scalarViewToWorld(value) {
    return value / SCALE_3D;
}

/*
 * Function to transform the view position to world position.
 */
function vector3ViewToWorld(value) {
    return new THREE.Vector3(value.x/SCALE_3D, value.y/SCALE_3D, value.z/SCALE_3D);
}

module.exports = {
    scalarWorldToView: scalarWorldToView,
    scalarViewToWorld: scalarViewToWorld,
    vector3WorldToView: vector3WorldToView,
    vector3ViewToWorld: vector3ViewToWorld,
    scale: SCALE_3D
};