const Receiver = require('../receiver');

class WebReceiver extends Receiver {
    constructor(wss) {
        super();

        this._wss = wss;
        this._listeners = {};

        this._wss.addEventListener('message', (event) => {
            let packet = JSON.parse(event.data);
            
            if(this._listeners[packet.event]) {
                for(let listener of this._listeners[packet.event]) {
                    listener(packet, packet.data);
                }
            }
        });
    }

    on(event, callback) {

        if(this._listeners[event]) {
            this._listeners[event].push(callback);
        } else {
            this._listeners[event] = [ callback ];
        }
    }
}

module.exports = WebReceiver;