const { ipcMain } = require('electron');
const Receiver = require('../receiver');

class ElectronReceiver extends Receiver {
    constructor() {
        super();
    }

    set win(value) {
        this._win = value;
    }

    on(event, callback) {
        // Event handler
        ipcMain.on(event, (msg, data) => {

            // Call the listener for the event
            let res = callback(msg, data);

            // Acknoledge the client
            this._win.webContents.send('s-' + event, res);
        });
    }
}

module.exports = ElectronReceiver;