const path = require('path');

module.exports = {
  entry: './js/client/main/index.js',
  mode: "development",
  target: 'web',
  node: {
    fs: 'empty'
  },
  optimization: {
    minimize: false
  },
  output: {
    filename: 'main.js',
    path: path.resolve(__dirname, 'dist')
  },
  module: {
    rules: []
  },
  resolve: { mainFields: ["main", "module"] },
  externals: [
    (function () {
      var IGNORES = [
        'electron',
        'fs',
        'electron-menu-event',
        'electron-receiver',
        'electron-requester'
      ];
      return function (context, request, callback) {
        if (IGNORES.indexOf(request) >= 0) {
          return callback(null, "{}");
        }

        return callback();
      };
    })()
  ]
}